Overview | Package | Class | Tree | Deprecated | Index | Help
| XCC/J 4.2-9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.marklogic.xcc.exceptions
Class ContentInsertException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.marklogic.xcc.exceptions.XccException
                  com.marklogic.xcc.exceptions.RequestException
                      com.marklogic.xcc.exceptions.RequestServerException
                          com.marklogic.xcc.exceptions.ContentInsertException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ContentInsertEntityException

    public class ContentInsertException

extends RequestServerException

This exception indicates a failed attempt to insert a `Content` object. Such failures are automatically retried up the the number of times allowed by the request's options (`RequestOptions.setMaxAutoRetry(int)`). If this execption ocurrs, either all retries have been exhausted, no retries were configured, or the specific `Content` instance was not retryable ( `Content.isRewindable()`).

See Also:
  Serialized Form

Constructor Summary
`ContentInsertException(String message, Request request, Content content)`
`ContentInsertException(String message, Request request, Content content, Throwable cause)`

Method Summary
`Content` | `getContent()` The `Content` object that could not be inserted.
`String` | `getContentUri()` The URI, as a String, of the `Content` that could not be inserted.

Methods inherited from class com.marklogic.xcc.exceptions.RequestException
`appendRequestInfo, getRequest, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContentInsertException

    public ContentInsertException(String message,
                                  Request request,
                                  Content content)

### ContentInsertException

    public ContentInsertException(String message,
                                  Request request,
                                  Content content,
                                  Throwable cause)

Method Detail

### getContent

    public Content getContent()

  The `Content` object that could not be inserted.

  Returns:
    an instance of `Content`.

### getContentUri

    public String getContentUri()

  The URI, as a String, of the `Content` that could not be inserted.

  Returns:
    a URI String.

Overview | Package | Class | Tree | Deprecated | Index | Help
| XCC/J 4.2-9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 MarkLogic Corporation, All Rights Reserved.

Complete online documentation for MarkLogic Server, XQuery and related components may be found at developer.marklogic.com